Bug 1002587 - Cloning workspaces does not update reference properties
Cloning workspaces does not update reference properties
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.0
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-29 09:42 EDT by Horia Chiorean
Modified: 2016-02-10 03:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:57:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2012 Blocker Closed Workspace cloning works not properly 2014-06-12 02:29:03 EDT

  None (edit)
Description Horia Chiorean 2013-08-29 09:42:41 EDT
When cloning a source workspace into a target workspace, the nodes from the target workspace should have their reference properties updated to point towards the nodes from the target workspace.

At the moment this is not happening, causing a potential ReferentialIntegrityException.
Comment 1 JBoss JIRA Server 2013-08-29 10:04:09 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2012

Attached a PR which fixes the cloning of reference properties across workspaces.
This PR contains the test case from https://github.com/ModeShape/modeshape/pull/922.
Comment 2 JBoss JIRA Server 2013-08-29 12:31:00 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2012

Merged [~hchiorean]'s latest pull-request, which fixes the underlying problem and adds several new smaller test cases to verify the functionality.

Much thanks to [~kbachl] and [~hchiorean] for all their hard work on this!
Comment 4 JBoss JIRA Server 2013-08-29 18:49:41 EDT
K. Bachl <korbinian.bachl@googlemail.com> made a comment on jira MODE-2012

Ok, I gave the fix a quick testdrive and so far all seems very very nice. I don't have anymore the referential exceptions, and the content from workspace A in clone B and C doesnt show up anymore. Beside, I now get the same size workspace.xml file when I import + export the content afterwards. I also noticed that the cachestore-datafiles doesnt seem to grow that fast anymore now. After some import/ export + cloning the current berkeley DB solution I use ends up using about 27,3 MB space what is about to expect as a workspace.xml of 1 workspace has about 8.3 MB, so it's a reasonable size (external files are only 725KB as I mostly have small bits in the workspace);

So far: Thank you for the awesome job at fixing this so fast (I've seen the pull-request: thumbs up on you Horia!). 
I'm really looking forward to ModeShape 3.5 now!
Comment 10 JBoss JIRA Server 2013-10-24 05:23:31 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2012 to Closed
Comment 11 belong 2013-11-19 18:16:58 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.